%define testname init-lsb

Name: repocop-unittest-%testname
Version: 0.04
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: %testname intergration tests for repocop test platform
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop

%description
%testname intergration test for repocop test platform.
The test warns packages that do not have lsb compliant init scripts.

%prep

%build
cat > test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}
files_exist $REPOCOP_PKG_ROOT%_initdir/* ] || exec repocop-test-skip
STATUS=ok
MESSAGE=
for i in $REPOCOP_PKG_ROOT%_initdir/*; do
    filename=${i##$REPOCOP_PKG_ROOT}
    if [ -x $i ]; then
        HAS_INIT=`grep '# chkconfig:' $i`
        HAS_LSB_INIT=`grep '### BEGIN INIT INFO' $i`
        if [ -z "$HAS_LSB_INIT" ]; then
            if [ -n "$HAS_INIT" ]; then
                STATUS=info
                MESSAGE="$MESSAGE$filename: lsb init header missing. "
            else
                STATUS=warn
                MESSAGE="$MESSAGE$filename: strange executable: neither lsb header nor chkconfig header aren't found. "
            fi
        fi
    fi
done
repocop-test-$STATUS $MESSAGE
EOF

cat > description <<'EOF'
The files the test is worrying about are non lsb compliant init scripts.
In order to implement parallel system boot we need to add an lsb init header
to every init script.
Contact devel@ or mithraen@ for details how to implement them.
TODO: write page on wiki.
EOF

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/
%__install -m 755 test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/
%__install -m 644 description $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/%testname

%changelog
* Sat Mar 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- now use repocop-test-info

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- silent skip

* Mon Feb 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- First build for Sisyphus.
